async function handleMessages (message) {
  const currentTab = await browser.tabs.query({ active: true, lastFocusedWindow: true })
  let index = -1
  if (currentTab !== undefined) {
    index = currentTab.pop().index
  }

  if (message.links !== undefined) {
    for (const linkUrl of message.links) {
      browser.tabs.create({ active: false, url: linkUrl, index: ++index })
    }
  }
}

browser.runtime.onMessage.addListener(handleMessages)
